## Omni-0.9.2.tar.gz

=== gnome-print/gnome-print-admin/libgpaui/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gnome-print-admin
pkglibdir = $(libdir)/gnome-print-admin
pkgincludedir = $(includedir)/gnome-print-admin

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = @AS@
CATALOGS =
CATOBJEXT = .gmo
CC = gcc
CFLAGS = -g -O2 -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations
CPP = gcc -E
CPPFLAGS =  -I/usr/lib/glib/include -I/usr/X11R6/include
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
GENCAT =
GLIB_CFLAGS = -I/usr/lib/glib/include
GLIB_CONFIG = /usr/bin/glib-config
GLIB_LIBS = -L/usr/lib -lglib
GMOFILES =
GMSGFMT = /usr/bin/msgfmt
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_APPLETS_LIBS =
GNOME_CAPPLET_LIBS =
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_DOCKLETS_LIBS =
GNOME_INCLUDEDIR = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_XML_CFLAGS = -I/usr/include/gnome-xml
GNOME_XML_LIB = -L/usr/lib -lxml -lz
GNORBA_CFLAGS = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GTKXMHTML_LIBS = -rdynamic -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GT_NO =
GT_YES = #YES#
HTML_DIR = ${datadir}/gtk-doc/html
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = .mo
INTLDEPS =
INTLLIBS =
INTLOBJS =
LD = /usr/bin/ld
LDFLAGS =
LIBGPAUI_AGE = 0
LIBGPAUI_CURRENT = 0
LIBGPAUI_REVISION = 0
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT =
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
NM = /usr/bin/nm -B
OBJDUMP = @OBJDUMP@
ORBIT_CFLAGS = -I/usr/lib/glib/include -I/usr/include
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lnsl -lm
PACKAGE = gnome-print-admin
PERL = /usr/bin/perl
POFILES =
POSUB = po
PRINTADMIN_INCLUDEDIR = -I${includedir} -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml -I/usr/include/gnome-xml
PRINTADMIN_LIBDIR = -L${libdir}
PRINTADMIN_LIBS = -lgnomeprint -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnomeprint -lgdk_pixbuf -ltiff -ljpeg -lpng -ldb -lglade-gnome -lglade -lxml -lz -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib -ldl -L/usr/lib -lxml -lz
PTHREAD_LIB = -lpthread
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.2
XPM_LIBS = -lXpm
ZVT_LIBS = -rdynamic -lzvt -lutil -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
cflags_set = yes
cxxflags_set = @cxxflags_set@
l =

SUBDIRS =

lib_LTLIBRARIES = libgpaui.la

libgpauiincludedir = $(includedir)/libgpaui

#-DGPA_GLADE_DIR=\""$(datadir)/gnome-print/gpa/glade/"\"	\

INCLUDES =  	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" 			-DGPA_DATA_DIR=\""$(datadir)/libgpa/data/"\"		-I$(includedir)  				-I$(top_srcdir)				-I$(srcdir)					$(EXTRA_GNOME_CFLAGS)			-I${includedir} -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml -I/usr/include/gnome-xml -I/gnome/gnome-print


libgpaui_la_SOURCES =  		gpa-config.c					gpa-items-create.c				gpa-items-changed.c				gpa-items-update.c				gpa-config-settings.c			gpa-slider.c																			gpa-defs.h					gpa-config.h					gpa-items-create.h				gpa-items-changed.h				gpa-items-update.h				gpa-config-settings.h			gpa-i18n.h					gpa-slider.h			


libgpauiinclude_HEADERS =  		gpa-config.h


libgpaui_la_LDFLAGS = -version-info $(LIBGPAUI_CURRENT):$(LIBGPAUI_REVISION):$(LIBGPAUI_AGE)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
LIBS =
libgpaui_la_LIBADD =
libgpaui_la_OBJECTS =  gpa-config.lo gpa-items-create.lo \
gpa-items-changed.lo gpa-items-update.lo gpa-config-settings.lo \
gpa-slider.lo
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(libgpauiinclude_HEADERS)

DIST_COMMON =  ChangeLog Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/gpa-config-settings.P .deps/gpa-config.P \
.deps/gpa-items-changed.P .deps/gpa-items-create.P \
.deps/gpa-items-update.P .deps/gpa-slider.P
SOURCES = $(libgpaui_la_SOURCES)
OBJECTS = $(libgpaui_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu libgpaui/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libgpaui.la: $(libgpaui_la_OBJECTS) $(libgpaui_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libgpaui_la_LDFLAGS) $(libgpaui_la_OBJECTS) $(libgpaui_la_LIBADD) $(LIBS)

install-libgpauiincludeHEADERS: $(libgpauiinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libgpauiincludedir)
	@list='$(libgpauiinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(libgpauiincludedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(libgpauiincludedir)/$$p; \
	done

uninstall-libgpauiincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(libgpauiinclude_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(libgpauiincludedir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \

=== gnome-print/gnome-print-admin/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gnome-print-admin
pkglibdir = $(libdir)/gnome-print-admin
pkgincludedir = $(includedir)/gnome-print-admin

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = @AS@
CATALOGS =
CATOBJEXT = .gmo
CC = gcc
CFLAGS = -g -O2 -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations
CPP = gcc -E
CPPFLAGS =  -I/usr/lib/glib/include -I/usr/X11R6/include
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
GENCAT =
GLIB_CFLAGS = -I/usr/lib/glib/include
GLIB_CONFIG = /usr/bin/glib-config
GLIB_LIBS = -L/usr/lib -lglib
GMOFILES =
GMSGFMT = /usr/bin/msgfmt
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_APPLETS_LIBS =
GNOME_CAPPLET_LIBS =
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_DOCKLETS_LIBS =
GNOME_INCLUDEDIR = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_XML_CFLAGS = -I/usr/include/gnome-xml
GNOME_XML_LIB = -L/usr/lib -lxml -lz
GNORBA_CFLAGS = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GTKXMHTML_LIBS = -rdynamic -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GT_NO =
GT_YES = #YES#
HTML_DIR = ${datadir}/gtk-doc/html
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = .mo
INTLDEPS =
INTLLIBS =
INTLOBJS =
LD = /usr/bin/ld
LDFLAGS =
LIBGPAUI_AGE = 0
LIBGPAUI_CURRENT = 0
LIBGPAUI_REVISION = 0
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT =
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
NM = /usr/bin/nm -B
OBJDUMP = @OBJDUMP@
ORBIT_CFLAGS = -I/usr/lib/glib/include -I/usr/include
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lnsl -lm
PACKAGE = gnome-print-admin
PERL = /usr/bin/perl
POFILES =
POSUB = po
PRINTADMIN_INCLUDEDIR = -I${includedir} -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml -I/usr/include/gnome-xml
PRINTADMIN_LIBDIR = -L${libdir}
PRINTADMIN_LIBS = -lgnomeprint -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnomeprint -lgdk_pixbuf -ltiff -ljpeg -lpng -ldb -lglade-gnome -lglade -lxml -lz -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib -ldl -L/usr/lib -lxml -lz
PTHREAD_LIB = -lpthread
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.2
XPM_LIBS = -lXpm
ZVT_LIBS = -rdynamic -lzvt -lutil -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
cflags_set = yes
cxxflags_set = @cxxflags_set@
l =

SUBDIRS = glade

bin_PROGRAMS = gnome-print-admin

#encoding_tool_SOURCES = encoding-tool.c
#encoding_tool_LDADD = $(INTLLIBS) -lgnomeprint -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnomeprint -lgdk_pixbuf -ltiff -ljpeg -lpng -ldb -lglade-gnome -lglade -lxml -lz -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib -ldl -L/usr/lib -lxml -lz

# This gave me problems :
# absolute_datadir=`cd $(datadir);pwd`
#
# [chema@suzzy gnome-print-admin]$ src/gnome-print-admin
#
# ** WARNING **: File not found ['cd /usr/share;pwd'/gnome-print-admin/data/PrinterIndex.xml]
# [chema@suzzy gnome-print-admin]$ cd .docs

# glade reference

INCLUDES =  	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" 			-DGPA_GLADE_DIR=\""$(datadir)/gnome-print/gpa/glade/"\"		-DGPA_DATA_DIR=\""$(datadir)/libgpa/data/"\"		-I$(includedir)  				-I$(top_srcdir)				-I$(srcdir)					$(EXTRA_GNOME_CFLAGS)			-I${includedir} -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml -I/usr/include/gnome-xml -I/gnome/gnome-print


gnome_print_admin_SOURCES =  		gnome-print-admin.c	  										gpa-add.c						gpa-file.c					gpa-window.c												gpa-add.h						gpa-defs.h					gpa-file.h					gpa-i18n.h					gpa-window.h			


print_admin_libs = -L/gnome/gnome-print/libgpa/.libs -lgpa              $(top_builddir)/libgpaui/libgpaui.la                    $(PRINTADMIN_LIBS)                                                      $(INTLLIBS)


gnome_print_admin_LDFLAGS =
gnome_print_admin_LDADD = $(print_admin_libs)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
LIBS =
gnome_print_admin_OBJECTS =  gnome-print-admin.o gpa-add.o gpa-file.o \
gpa-window.o
gnome_print_admin_DEPENDENCIES =  $(top_builddir)/libgpaui/libgpaui.la
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  ChangeLog Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/gnome-print-admin.P .deps/gpa-add.P .deps/gpa-file.P \
.deps/gpa-window.P
SOURCES = $(gnome_print_admin_SOURCES)
OBJECTS = $(gnome_print_admin_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

gnome-print-admin: $(gnome_print_admin_OBJECTS) $(gnome_print_admin_DEPENDENCIES)
	@rm -f gnome-print-admin
	$(LINK) $(gnome_print_admin_LDFLAGS) $(gnome_print_admin_OBJECTS) $(gnome_print_admin_LDADD) $(LIBS)

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \

=== gnome-print/gnome-print/libgnomeprint/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gnome-print
pkglibdir = $(libdir)/gnome-print
pkgincludedir = $(includedir)/gnome-print

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = @AS@
CATALOGS =
CATOBJEXT = .gmo
CC = gcc
CFLAGS = -g -O2 -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations
CPP = gcc -E
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
GDK_PIXBUF_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
GDK_PIXBUF_CONFIG = /usr/bin/gdk-pixbuf-config
GDK_PIXBUF_LIBS = -L/usr/lib -lgdk_pixbuf -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GENCAT =
GLIB_CFLAGS = -I/usr/lib/glib/include
GLIB_CONFIG = /usr/bin/glib-config
GLIB_LIBS = -L/usr/lib -lglib
GMOFILES =  ca.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo nl.gmo no.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sl.gmo sv.gmo tr.gmo uk.gmo zh_CN.GB2312.gmo
GMSGFMT = /usr/bin/msgfmt
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOMEPRINT_AGE = 0
GNOMEPRINT_CURRENT = 15
GNOMEPRINT_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgnome -lgnomesupport -lesd -laudiofile -ldb -lgdk_pixbuf -ltiff -ljpeg -lpng -lz -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -L/usr/lib -lxml -lz
GNOMEPRINT_REVISION = 0
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_APPLETS_LIBS =
GNOME_CAPPLET_LIBS =
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_DOCKLETS_LIBS =
GNOME_FONT_CFLAGS =
GNOME_FONT_LIBS =
GNOME_INCLUDEDIR = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GNOME_XML_CFLAGS = -I/usr/include/gnome-xml
GNOME_XML_LIB = -L/usr/lib -lxml -lz
GNORBA_CFLAGS = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb -lglib -ldl
GPA_AGE = 0
GPA_CURRENT = 0
GPA_REVISION = 0
GTKXMHTML_LIBS = -rdynamic -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GT_NO =
GT_YES = #YES#
HTML_DIR = ${datadir}/gtk-doc/html
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = .mo
INTLDEPS =
INTLLIBS =
INTLOBJS =
LD = /usr/bin/ld
LDFLAGS =
LIBGPA_CFLAGS =
LIBGPA_INCLUDEDIR =
LIBGPA_LIBDIR =
LIBGPA_LIBS =
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT =
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
NM = /usr/bin/nm -B
OBJDUMP = @OBJDUMP@
ORBIT_CFLAGS = -I/usr/lib/glib/include -I/usr/include
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lnsl -lm
PACKAGE = gnome-print
PERL = /usr/bin/perl
POFILES =  ca.po da.po de.po el.po es.po et.po fi.po fr.po gl.po hr.po hu.po it.po ja.po ko.po lt.po nl.po no.po pl.po pt_BR.po ro.po ru.po sk.po sl.po sv.po tr.po uk.po zh_CN.GB2312.po
POSUB = po
PRINT_INCLUDEDIR = -I${includedir} -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml
PRINT_LIBDIR = -L${libdir}
PRINT_LIBS =  -lgnomeprint -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgnome -lgnomesupport -lesd -laudiofile -ldb -lgdk_pixbuf -ltiff -ljpeg -lpng -lz -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -L/usr/lib -lxml -lz
PRINT_TEST_CFLAGS = -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml
PRINT_TEST_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgnome -lgnomesupport -lesd -laudiofile -ldb -lgdk_pixbuf -ltiff -ljpeg -lpng -lz -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -L/usr/lib -lxml -lz
PTHREAD_LIB = -lpthread
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.26
XPM_LIBS = -lXpm
ZVT_LIBS = -rdynamic -lzvt -lutil -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
Z_CFLAGS =
Z_LIBS = -lz
cflags_set = yes
cxxflags_set = @cxxflags_set@
l =
#font_sources =
font_sources = 	gt1-parset1.c gt1-parset1.h 	gt1-dict.c gt1-dict.h 	gt1-namecontext.c gt1-namecontext.h 	gt1-region.c gt1-region.h 	gt1-misc.h 	gt1-value.h 	gp-ps-unicode.h gp-ps-unicode.c		gp-character-block.c gp-character-block.h 	gp-fontmap.c gp-fontmap.h 	gnome-font.c 	gnome-font-private.h 	gnome-font-face.c 	gnome-rfont.c 	gnome-font-family.c gnome-font-family.h
#font_headers = 	gnome-font.h 	gnome-font-face.h 	gnome-rfont.h
font_headers = 	gnome-font.h 	gnome-font-face.h 	gnome-rfont.h

lib_LTLIBRARIES = libgnomeprint.la

libgnomeprint_la_LDFLAGS =  	-version-info $(GNOMEPRINT_CURRENT):$(GNOMEPRINT_REVISION):$(GNOMEPRINT_AGE)


libgnomeprint_la_LIBADD =  	$(GNOMEPRINT_LIBS)


CPPFLAGS =  	-DGNOMELOCALEDIR=\""$(datadir)/locale"\" 		-DBINDIR=\""$(bindir)"\"		-DDATADIR=\""$(datadir)"\"


INCLUDES =  	-I$(top_srcdir)			$(GTK_CFLAGS)			-I$(top_srcdir)/intl 		-I$(top_builddir)/intl		$(GNOME_INCLUDEDIR)		-I${includedir} -I/usr/include -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/include/gnome-xml  		$(GNOME_FONT_CFLAGS)		-DPROFILEDIR=\""$(datadir)/gnome-print/$(VERSION)/profiles/"\"		-DGNOMEPRINT_LIBDIR=\""$(libdir)"\"	


temp_sources =  	gnome-canvas-hacktext.c			gnome-canvas-hacktext.h			gnome-canvas-bpath.c			gnome-canvas-bpath.h			gnome-canvas-bpath-private.h		gnome-canvas-clipgroup.c			gnome-canvas-clipgroup.h			art_rgb_affine_private.h			art_rgba_rgba_affine.c				art_rgba_rgba_affine.h				art_rgba_svp.c					art_rgba_svp.h					text-utils.c               			text-utils.h   	            			gp-unicode.c gp-unicode.h 	$(font_sources)


libgnomeprint_la_SOURCES =  	gnome-print-master.c			gnome-print-master-private.h		gnome-print-master-preview.c		gnome-print-dialog.c			gnome-print-copies.c			gnome-printer.c 				gnome-printer-private.h			gnome-print.c 					gnome-print-file.c				gnome-print-file.h				gnome-print-private.h			gnome-print-meta.c				gnome-print-multipage.c			gnome-print-multipage.h			gnome-print-pixbuf.c			gnome-print-pdf.c				gnome-print-pdf-type1.c			gnome-print-pdf-type1.h			gnome-print-pclr.c				gnome-print-pclr.h				gnome-print-pclv.c				gnome-print-pclv.h				gnome-print-pclc.c				gnome-print-pclc.h				gnome-print-ps.c 				gnome-print-ps.h 				gnome-print-ps2.c 				gnome-print-ps2.h 				gnome-print-preview.c			gnome-print-preview-private.h		gnome-print-preview-icons.h		gnome-print-rbuf.c				gnome-print-rbuf-private.h		gnome-print-frgba.c				gnome-print-rgbp.c		  		gnome-print-rgbp.h		  		gnome-printer-dialog.c     		gnome-printer-profile.c    		gnome-printer-profile.h    		gnome-font-dialog.c        		gnome-text.c 			  		gnome-print-i18n.h		  		parseAFM.c 			  		parseAFM.h			  		gp-path.c			       		gp-path.h			       		gp-gc.c				  		gp-gc.h				  		gnome-glyphlist.c		  		gnome-glyphlist-private.h  		gnome-pgl.c			  		gnome-pgl-private.h		  		gnome-print-encode.c gnome-print-omni.c gnome-print-omni.h     		$(temp_sources)


libgnomeprintincdir = $(includedir)/libgnomeprint
libgnomeprintinc_HEADERS =  	gnome-print-master.h			gnome-print-master-preview.h		gnome-print-dialog.h			gnome-print-copies.h			gnome-print.h 					gnome-printer.h 				gnome-printer-dialog.h   		gnome-print-meta.h				gnome-print-multipage.h  		gnome-print-pixbuf.h     		gnome-print-pdf.h				gnome-print-preview.h    		gnome-print-rbuf.h				gnome-print-frgba.h				gnome-font-dialog.h				gnome-print-encode.h     		gnome-text.h					gnome-glyphlist.h				gnome-pgl.h				$(font_headers)

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
LIBS =
libgnomeprint_la_DEPENDENCIES =
libgnomeprint_la_OBJECTS =  gnome-print-master.lo \
gnome-print-master-preview.lo \
gnome-print-dialog.lo gnome-print-copies.lo \
gnome-printer.lo gnome-print.lo \
gnome-print-file.lo gnome-print-meta.lo \
gnome-print-multipage.lo gnome-print-pixbuf.lo \
gnome-print-pdf.lo gnome-print-pdf-type1.lo \
gnome-print-pclr.lo gnome-print-pclv.lo \
gnome-print-pclc.lo gnome-print-ps.lo \
gnome-print-ps2.lo gnome-print-omni.lo gnome-print-preview.lo \
gnome-print-rbuf.lo gnome-print-frgba.lo \
gnome-print-rgbp.lo gnome-printer-dialog.lo \
gnome-printer-profile.lo gnome-font-dialog.lo \
gnome-text.lo parseAFM.lo gp-path.lo gp-gc.lo \
gnome-glyphlist.lo gnome-pgl.lo \
gnome-print-encode.lo gnome-canvas-hacktext.lo \
gnome-canvas-bpath.lo gnome-canvas-clipgroup.lo \
art_rgba_rgba_affine.lo art_rgba_svp.lo \
text-utils.lo gp-unicode.lo gt1-parset1.lo \
gt1-dict.lo gt1-namecontext.lo gt1-region.lo \
gp-ps-unicode.lo gp-character-block.lo \
gp-fontmap.lo gnome-font.lo gnome-font-face.lo \
gnome-rfont.lo gnome-font-family.lo
#libgnomeprint_la_OBJECTS =  gnome-print-master.lo \
#gnome-print-master-preview.lo \
#gnome-print-dialog.lo gnome-print-copies.lo \
#gnome-printer.lo gnome-print.lo \
#gnome-print-file.lo gnome-print-meta.lo \
#gnome-print-multipage.lo gnome-print-pixbuf.lo \
#gnome-print-pdf.lo gnome-print-pdf-type1.lo \
#gnome-print-pclr.lo gnome-print-pclv.lo \
#gnome-print-pclc.lo gnome-print-ps.lo \
#gnome-print-ps2.lo gnome-print-preview.lo \
#gnome-print-rbuf.lo gnome-print-frgba.lo \
#gnome-print-rgbp.lo gnome-printer-dialog.lo \
#gnome-printer-profile.lo gnome-font-dialog.lo \
#gnome-text.lo parseAFM.lo gp-path.lo gp-gc.lo \
#gnome-glyphlist.lo gnome-pgl.lo \
#gnome-print-encode.lo gnome-canvas-hacktext.lo \
#gnome-canvas-bpath.lo gnome-canvas-clipgroup.lo \
#art_rgba_rgba_affine.lo art_rgba_svp.lo \

=== debian/changelog ===
omni (0.7.2-1) unstable; urgency=low

  * Initial Release.

 -- Rafael Avila de Espndola <rafael.espindola@ic.unicamp.br>  Mon,  3 Feb 2003 15:45:25 -0200

=== debian/control ===
Source: omni
Priority: optional
Maintainer: Rafael Avila de Espndola <rafael.espindola@ic.unicamp.br>
Build-Depends: debhelper (>> 3.0.0), libcupsys2-dev, libcupsimage2-dev, libgtkmm-dev
Standards-Version: 3.5.8

Package: omni-non-free
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Omni printer driver
 The Omni printer driver provides support for over 400 printers using the Ghostscript framework. In addition, it provides a model for dynamically loading printer drivers, creating new devices by editing device description files, and simplifies new printer driver development by allowing for the subclassing of previous device features.
 This packages contains some non-free Epson Drivers.
 URL: http://www-124.ibm.com/developer/opensource/linux/projects/omni/


Package: omni-dev
Section: devel
Architecture: any
Depends: omni (= ${Source-Version})
Description: Omni printer driver
 The Omni printer driver provides support for over 400 printers using the Ghostscript framework. In addition, it provides a model for dynamically loading printer drivers, creating new devices by editing device description files, and simplifies new printer driver development by allowing for the subclassing of previous device features.
 URL: http://www-124.ibm.com/developer/opensource/linux/projects/omni/

Package: omni
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Omni printer driver
 The Omni printer driver provides support for over 400 printers using the Ghostscript framework. In addition, it provides a model for dynamically loading printer drivers, creating new devices by editing device description files, and simplifies new printer driver development by allowing for the subclassing of previous device features.
 URL: http://www-124.ibm.com/developer/opensource/linux/projects/omni/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
#export OMNI_XML_ROOT_PATH=

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#-mv $(CURDIR)/VendorSupplied $(CURDIR)/VendorSupplied1
	./setupOmni --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-device-fonts --enable-debug 	
	#-mv $(CURDIR)/VendorSupplied1 $(CURDIR)/VendorSupplied

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	(	cd CUPS; \
		$(MAKE)  generateBuildPPDs; \
		cd ..; \
	)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr CUPSEXEROOT=$(CURDIR)/debian/tmp/usr/lib/cups/filter CUPSDATAROOT=$(CURDIR)/debian/tmp/usr/share/cups/model/foomatic
	mkdir -p $(CURDIR)/debian/tmp/usr/share/Omni
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/omni-non-free
	mv $(CURDIR)/debian/tmp/usr/lib/Omni/Readme.Epson.Kowa.License $(CURDIR)/debian/tmp/usr/share/doc/omni-non-free
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp  --autodest --list-missing

#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
